com.io7m.jregions.core.unparameterized.areas

## Class AreaXYSplitD<T extends AreaDType>

- java.lang.Object
- - com.io7m.jregions.core.unparameterized.areas.AreaXYSplitD<T>

- Type Parameters:
    `T` - The precise type of area
  All Implemented Interfaces:
    AreaXYSplitDType<T>

      @Generated(value={"Immutables.generator","AreaXYSplitDType<T>"})
      public final class AreaXYSplitD<T extends AreaDType>
      extends Object
      implements AreaXYSplitDType<T>

  An area that has been split into quadrants via an X and Y axis.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AreaXYSplitD.Builder<T extends AreaDType>` Builds instances of type `AreaXYSplitD`.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T extends AreaDType> AreaXYSplitD.Builder<T>` | `builder()` Creates a builder for `AreaXYSplitD`.
    `boolean` | `equals(Object another)` This instance is equal to all instances of `AreaXYSplitD` that have equal attribute values.
    `int` | `hashCode()` Computes a hash code from attributes: `x0y0`, `x1y0`, `x0y1`, `x1y1`.
    `static <T extends AreaDType> AreaXYSplitD<T>` | `of(T x0y0, T x1y0, T x0y1, T x1y1)` Construct a new immutable `AreaXYSplitD` instance.
    `String` | `toString()` Prints the immutable value `AreaXYSplitD` with attribute values.
    `T` | `x0y0()`
    `T` | `x0y1()`
    `T` | `x1y0()`
    `T` | `x1y1()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### x0y0

          public T x0y0()

      Specified by:
        `x0y0` in interface `AreaXYSplitDType<T extends AreaDType>`
      Returns:
        The minimum X, minimum Y quadrant

    - #### x1y0

          public T x1y0()

      Specified by:
        `x1y0` in interface `AreaXYSplitDType<T extends AreaDType>`
      Returns:
        The maximum X, minimum Y quadrant

    - #### x0y1

          public T x0y1()

      Specified by:
        `x0y1` in interface `AreaXYSplitDType<T extends AreaDType>`
      Returns:
        The minimum X, maximum Y quadrant

    - #### x1y1

          public T x1y1()

      Specified by:
        `x1y1` in interface `AreaXYSplitDType<T extends AreaDType>`
      Returns:
        The maximum X, maximum Y quadrant

    - #### equals

          public boolean equals(Object another)

      This instance is equal to all instances of `AreaXYSplitD` that have equal attribute values.
      Overrides:
        `equals` in class `Object`
      Returns:
        `true` if `this` is equal to `another` instance

    - #### hashCode

          public int hashCode()

      Computes a hash code from attributes: `x0y0`, `x1y0`, `x0y1`, `x1y1`.
      Overrides:
        `hashCode` in class `Object`
      Returns:
        hashCode value

    - #### toString

          public String toString()

      Prints the immutable value `AreaXYSplitD` with attribute values.
      Overrides:
        `toString` in class `Object`
      Returns:
        A string representation of the value

    - #### of

          public static <T extends AreaDType> AreaXYSplitD<T> of(T x0y0,
                                                                 T x1y0,
                                                                 T x0y1,
                                                                 T x1y1)

      Construct a new immutable `AreaXYSplitD` instance.
      Parameters:
        `x0y0` - The value for the `x0y0` attribute
        `x1y0` - The value for the `x1y0` attribute
        `x0y1` - The value for the `x0y1` attribute
        `x1y1` - The value for the `x1y1` attribute
      Returns:
        An immutable AreaXYSplitD instance

    - #### builder

          public static <T extends AreaDType> AreaXYSplitD.Builder<T> builder()

      Creates a builder for `AreaXYSplitD`.
      Type Parameters:
        `T` - generic parameter T
      Returns:
        A new AreaXYSplitD builder

Copyright © 2017 <code@io7m.com> http://io7m.com